Bug 232857 - [PATCH] freebsd-update: add a progress report for the "fetching files..." after the patching is done.
Summary: [PATCH] freebsd-update: add a progress report for the "fetching files..." aft...
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-bugs mailing list
URL:
Keywords: patch
Depends on:
Blocks: 228911
  Show dependency treegraph
 
Reported: 2018-10-31 16:57 UTC by Mathieu Arnold
Modified: 2019-01-24 22:26 UTC (History)
2 users (show)

See Also:
mat: mfc-stable11?
mat: mfc-stable12?


Attachments
patch (516 bytes, patch)
2018-10-31 16:57 UTC, Mathieu Arnold
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2018-10-31 16:57:40 UTC
Created attachment 198809 [details]
patch

There are often thousands of files being fetched, and you have no idea of where you are at.
Comment 1 Conrad Meyer freebsd_committer 2018-10-31 17:35:04 UTC
LGTM.  It is a straightforward application of the same progress printing already used for fetching patches.
Comment 2 commit-hook freebsd_committer 2018-10-31 17:38:40 UTC
A commit references this bug:

Author: cem
Date: Wed Oct 31 17:37:54 UTC 2018
New revision: 339960
URL: https://svnweb.freebsd.org/changeset/base/339960

Log:
  freebsd-update: add a progress report for the "fetching files..."

  After patching step is done.

  PR:		232857
  Submitted by:	mat@
  MFC after:	a week

Changes:
  head/usr.sbin/freebsd-update/freebsd-update.sh
Comment 3 Mathieu Arnold freebsd_committer 2018-11-03 11:40:31 UTC
It would be so great if this could go into 12.0 0:-)
Comment 4 Mathieu Arnold freebsd_committer 2019-01-14 09:44:26 UTC
Maybe this could be merged into stable/12 now so it gets into 12.1.
Comment 5 commit-hook freebsd_committer 2019-01-24 22:26:22 UTC
A commit references this bug:

Author: emaste
Date: Thu Jan 24 22:25:52 UTC 2019
New revision: 343414
URL: https://svnweb.freebsd.org/changeset/base/343414

Log:
  MFC r339960 (cem): freebsd-update: add a progress report

  for the "fetching files..."

  After patching step is done.

  PR:		232857
  Submitted by:	mat

Changes:
_U  stable/12/
  stable/12/usr.sbin/freebsd-update/freebsd-update.sh